import '@/themes/Dark.sass';
import '@popperjs/core';
export const IS_DEV = false;

// Development mode
export const POS_STEP_1_VERSION = 2; //(IS_DEV ? 2 : 1);
export const API_URL = (IS_DEV ? 'https://api.truckwash.dk:4433' : 'https://api.truckwash.dk');
import { createApp } from 'vue'
import App from './App.vue'
import store from './store/user.vue'
import {router} from "@/router.js";
import {Colors} from "./ThemeConfig.vue";
import '@/assets/main.css';
import 'animate.css';
import applyMiddleware from '@/middleware/index.js';
import { createHead } from "@vueuse/head";

applyMiddleware(router);

createApp(App)
	.use(createHead())
	.use(store)
	.use(router)
	.provide('Colors', Colors)
	.mount('#app')
